from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCustomShapeHandle(XInterface, Protocol):
    def getPosition(self) -> Point: ...
    def setControllerPosition(self, aPoint: Point) -> None: ...
